> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sessions

> List all sessions for the current user.



## OpenAPI

````yaml /openapi/client.json get /auth/sessions
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /auth/sessions:
    get:
      tags:
        - Sessions
      summary: List sessions
      description: List all sessions for the current user.
      parameters:
        - name: user_id
          in: query
          schema:
            type: string
            example: 3241a285-8329-4d69-8f3d-316e08cf140c
            description: >-
              The ID of the user, or the special value `me` for the currently
              authenticated user
          description: >-
            The ID of the user, or the special value `me` for the currently
            authenticated user
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        user_id:
                          type: string
                        created_at:
                          type: number
                        is_impersonation:
                          type: boolean
                        last_used_at:
                          type: number
                        is_current_session:
                          type: boolean
                        last_used_at_end_user_ip_info:
                          type: object
                          properties:
                            ip:
                              type: string
                            countryCode:
                              type: string
                            regionCode:
                              type: string
                            cityName:
                              type: string
                            latitude:
                              type: number
                            longitude:
                              type: number
                            tzIdentifier:
                              type: string
                          required:
                            - ip
                      required:
                        - id
                        - user_id
                        - created_at
                        - is_impersonation
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type: string
                        example: b3d396b8-c574-4c80-97b3-50031675ceb2
                        description: >-
                          The cursor to fetch the next page of results. null if
                          there is no next page.
                    required: []
                required:
                  - items

````